<?php namespace managerForIcomoon ;  ?>

<div class="managerforicomoon-modal-header">
	<h2>Manager For Icomoon</h2>
	<button onclick="m4i_close_modal();" class="managerforicomoon-close-button"><span class="dashicons dashicons-no-alt"></span></button>
</div>

<div class="managerforicomoon-modal-body">
	<?php if($this->getIcons()) :?>		
		<?php $icons = reset($this->getIcons()) ;?>
		<div>
			<div class="managerforicomoon-shortcode-input" id="managerforicomoon-shortcode-input">[<?= Options::get('shortcode');?> name="<?= $icons['name'];?>"]</div>
		</div>


		<form class="managerforicomoon-icon-custom">
			<div class="managerforicomoon-icon-custom-option">
				<label for="m4i_custom_class"><?= __( "Custom class", 'managerforicomoon'); ?></label>
				<input type="text" name="m4i_custom_class" id="m4i_custom_class" class="custom-field">
			</div>
			<div class="managerforicomoon-icon-custom-option">
				<label for="m4i_custom_color"><?= __( "Custom color", 'managerforicomoon'); ?></label>
				<div><input type="text" name="m4i_custom_color" id="m4i_custom_color" class="color-field custom-field" ></div>
			</div>
			<div class="managerforicomoon-icon-custom-option">
				<label for="m4i_custom_size"><?= __( "Custom size", 'managerforicomoon'); ?></label>
				<input type="text" name="m4i_custom_size" id="m4i_custom_size" class="custom-field">
			</div>
			<div class="managerforicomoon-icon-custom-option">
				<label for="m4i_custom_rotate"><?= __( "Custom rotate", 'managerforicomoon'); ?></label>
				<input type="number" min="0" max="359" name="m4i_custom_rotate" id="m4i_custom_rotate" class="custom-field">
			</div>
			<div class="managerforicomoon-icon-custom-option">
				<label for="m4i_custom_css"><?= __( "Custom CSS", 'managerforicomoon'); ?></label>
				<input type="text" name="m4i_custom_css" id="m4i_custom_css" class="custom-field">
			</div>
		</form>

		<div class="managerforicomoon-icons-list">
			<?php $i=0;foreach($this->getIcons() as $icon) : ?>
				<button class="managerforicomoon-icon <?php if($i==0){ echo 'managerforicomoon-icon-active';$i++;}?>" data-icon="<?= $icon['name'] ;?>">
					<?= $icon['icon'] ;?>
					<?php /* <em class="managerforicomoon-icon-name"><?php echo $icon['name'] ;?></em> */?>
				</button>
			<?php endforeach;?>
		</div>
		<input id="clipboard" type="text" hidden data-message="<?= __( "Shortcode copied to the clipboard !", 'managerforicomoon'); ?>" >
	<?php else :?>
		<?php Notice::getHtml(); ?>
	<?php endif; ?>

</div>


<div class="managerforicomoon-toast-container"></div>

<script>
(function( $ ) {
    // Add Color Picker to all inputs that have 'color-field' class
    $(function() {
        $('.color-field').wpColorPicker();

		$('#managerforicomoon-shortcode-input').click(function(){
			let shortcode = $(this).html();
			let message = jQuery("#clipboard").data('message');
			m4i_copy_to_clipboard(shortcode);
			m4i_toast(message, true, '4000');
		});
		
		$('.managerforicomoon-icon').click(function(){
			let icon = $(this).data('icon');
			$('.managerforicomoon-icon-active').removeClass('managerforicomoon-icon-active');
			$(this).addClass('managerforicomoon-icon-active');
			
			m4i_shortcode_generate(managerforicomoon.shortcode,icon);
		});
		
		$('.managerforicomoon-icon-custom-option').change(function(){
			let icon = $('.managerforicomoon-icon-active').data('icon');
			m4i_shortcode_generate(managerforicomoon.shortcode,icon);
		});
		
		$(".wp-color-picker").wpColorPicker(
			'option',
			'change',
			function(event, ui) {
				let icon = $('.managerforicomoon-icon-active').data('icon');
				m4i_shortcode_generate(managerforicomoon.shortcode,icon);
			}
		);
    });
     
})( jQuery );
</script>